Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		libmemcached
#Epoch:		0
Version:	0.42
Release:	1
License:	BSD
URL:		http://libmemcached.org/libMemcached.html
Group:		System/Libraries
Summary:	memcached client library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: memcached-devel
BuildRequires: embedded_innodb-devel
BuildRequires: zlib-devel

#Automatically resolved build dependencies
BuildRequires: cyrus-sasl-lib
BuildRequires: cyrus-sasl-devel
BuildRequires: glibc-devel
BuildRequires: libevent-devel
BuildRequires: pkg-config

%description
libmemcached is a C client library for interfacing to a memcached server. It has been designed to be light on memory usage, thread safe and to provide full access to server side methods. It also implements several command line tools: memcat, memflush, memrm, memstat, and memslap (for load generation). The library has been designed to allow for different hashing methods on keys, partitioning by keys, and to use consistent hashing for distribution. 

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--enable-libinnodb \
--with-lib-prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/memcapable
%{_bindir}/memcat
%{_bindir}/memcp
%{_bindir}/memdump
%{_bindir}/memerror
%{_bindir}/memflush
%{_bindir}/memrm
%{_bindir}/memslap
%{_bindir}/memstat
%{_libdir}/libhashkit.so.*
%{_libdir}/libmemcachedprotocol.so.*
%{_libdir}/libmemcached.so.*
%{_libdir}/libmemcachedutil.so.*
%{_mandir}/man1/memcapable.1.gz
%{_mandir}/man1/memcat.1.gz
%{_mandir}/man1/memcp.1.gz
%{_mandir}/man1/memdump.1.gz
%{_mandir}/man1/memerror.1.gz
%{_mandir}/man1/memflush.1.gz
%{_mandir}/man1/memrm.1.gz
%{_mandir}/man1/memslap.1.gz
%{_mandir}/man1/memstat.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/libhashkit
%{_includedir}/libmemcached/allocators.h
%{_includedir}/libmemcached/analyze.h
%{_includedir}/libmemcached/auto.h
%{_includedir}/libmemcached/behavior.h
%{_includedir}/libmemcached/callback.h
%{_includedir}/libmemcached/configure.h
%{_includedir}/libmemcached/constants.h
%{_includedir}/libmemcached/delete.h
%{_includedir}/libmemcached/dump.h
%{_includedir}/libmemcached/exception.hpp
%{_includedir}/libmemcached/fetch.h
%{_includedir}/libmemcached/flush_buffers.h
%{_includedir}/libmemcached/flush.h
%{_includedir}/libmemcached/get.h
%{_includedir}/libmemcached/hash.h
%{_includedir}/libmemcached/memcached.h
%{_includedir}/libmemcached/memcached.hpp
%{_includedir}/libmemcached/memcached/protocol_binary.h
%{_includedir}/libmemcached/memcached_util.h
%{_includedir}/libmemcached/parse.h
%{_includedir}/libmemcached/protocol/cache.h
%{_includedir}/libmemcached/protocol/callback.h
%{_includedir}/libmemcached/protocol_handler.h
%{_includedir}/libmemcached/quit.h
%{_includedir}/libmemcached/result.h
%{_includedir}/libmemcached/sasl.h
%{_includedir}/libmemcached/server.h
%{_includedir}/libmemcached/server_list.h
%{_includedir}/libmemcached/stats.h
%{_includedir}/libmemcached/storage.h
%{_includedir}/libmemcached/strerror.h
%{_includedir}/libmemcached/string.h
%{_includedir}/libmemcached/types.h
%{_includedir}/libmemcached/util.h
%{_includedir}/libmemcached/util/ping.h
%{_includedir}/libmemcached/util/pool.h
%{_includedir}/libmemcached/util/version.h
%{_includedir}/libmemcached/verbosity.h
%{_includedir}/libmemcached/version.h
%{_includedir}/libmemcached/visibility.h
%{_includedir}/libmemcached/watchpoint.h
%{_libdir}/libhashkit.la
%{_libdir}/libhashkit.so
%{_libdir}/libmemcached.la
%{_libdir}/libmemcachedprotocol.la
%{_libdir}/libmemcachedprotocol.so
%{_libdir}/libmemcached.so
%{_libdir}/libmemcachedutil.la
%{_libdir}/libmemcachedutil.so
%{_pkgconfig}/libmemcached.pc
%{_mandir}/man3/hashkit_clone.3.gz
%{_mandir}/man3/hashkit_crc32.3.gz
%{_mandir}/man3/hashkit_create.3.gz
%{_mandir}/man3/hashkit_fnv1_32.3.gz
%{_mandir}/man3/hashkit_fnv1_64.3.gz
%{_mandir}/man3/hashkit_fnv1a_32.3.gz
%{_mandir}/man3/hashkit_fnv1a_64.3.gz
%{_mandir}/man3/hashkit_free.3.gz
%{_mandir}/man3/hashkit_functions.3.gz
%{_mandir}/man3/hashkit_hsieh.3.gz
%{_mandir}/man3/hashkit_is_allocated.3.gz
%{_mandir}/man3/hashkit_jenkins.3.gz
%{_mandir}/man3/hashkit_md5.3.gz
%{_mandir}/man3/hashkit_murmur.3.gz
%{_mandir}/man3/hashkit_value.3.gz
%{_mandir}/man3/libmemcached.3.gz
%{_mandir}/man3/libmemcached_examples.3.gz
%{_mandir}/man3/libmemcachedutil.3.gz
%{_mandir}/man3/memcached_add.3.gz
%{_mandir}/man3/memcached_add_by_key.3.gz
%{_mandir}/man3/memcached_analyze.3.gz
%{_mandir}/man3/memcached_append.3.gz
%{_mandir}/man3/memcached_append_by_key.3.gz
%{_mandir}/man3/memcached_behavior_get.3.gz
%{_mandir}/man3/memcached_behavior_set.3.gz
%{_mandir}/man3/memcached_callback_get.3.gz
%{_mandir}/man3/memcached_callback_set.3.gz
%{_mandir}/man3/memcached_cas.3.gz
%{_mandir}/man3/memcached_cas_by_key.3.gz
%{_mandir}/man3/memcached_clone.3.gz
%{_mandir}/man3/memcached_create.3.gz
%{_mandir}/man3/memcached_decrement.3.gz
%{_mandir}/man3/memcached_decrement_with_initial.3.gz
%{_mandir}/man3/memcached_delete.3.gz
%{_mandir}/man3/memcached_delete_by_key.3.gz
%{_mandir}/man3/memcached_destroy_sasl_auth_data.3.gz
%{_mandir}/man3/memcached_dump.3.gz
%{_mandir}/man3/memcached_fetch.3.gz
%{_mandir}/man3/memcached_fetch_execute.3.gz
%{_mandir}/man3/memcached_fetch_result.3.gz
%{_mandir}/man3/memcached_flush_buffers.3.gz
%{_mandir}/man3/memcached_free.3.gz
%{_mandir}/man3/memcached_generate_hash_value.3.gz
%{_mandir}/man3/memcached_get.3.gz
%{_mandir}/man3/memcached_get_by_key.3.gz
%{_mandir}/man3/memcached_get_memory_allocators.3.gz
%{_mandir}/man3/memcached_get_sasl_callbacks.3.gz
%{_mandir}/man3/memcached_get_user_data.3.gz
%{_mandir}/man3/memcached_increment.3.gz
%{_mandir}/man3/memcached_increment_with_initial.3.gz
%{_mandir}/man3/memcached_lib_version.3.gz
%{_mandir}/man3/memcached_mget.3.gz
%{_mandir}/man3/memcached_mget_by_key.3.gz
%{_mandir}/man3/memcached_mget_execute.3.gz
%{_mandir}/man3/memcached_mget_execute_by_key.3.gz
%{_mandir}/man3/memcached_pool_behavior_get.3.gz
%{_mandir}/man3/memcached_pool_behavior_set.3.gz
%{_mandir}/man3/memcached_pool_create.3.gz
%{_mandir}/man3/memcached_pool_destroy.3.gz
%{_mandir}/man3/memcached_pool_pop.3.gz
%{_mandir}/man3/memcached_pool_push.3.gz
%{_mandir}/man3/memcached_prepend.3.gz
%{_mandir}/man3/memcached_prepend_by_key.3.gz
%{_mandir}/man3/memcached_quit.3.gz
%{_mandir}/man3/memcached_replace.3.gz
%{_mandir}/man3/memcached_replace_by_key.3.gz
%{_mandir}/man3/memcached_sasl_set_auth_data.3.gz
%{_mandir}/man3/memcached_server_add.3.gz
%{_mandir}/man3/memcached_server_count.3.gz
%{_mandir}/man3/memcached_server_cursor.3.gz
%{_mandir}/man3/memcached_server_list.3.gz
%{_mandir}/man3/memcached_server_list_append.3.gz
%{_mandir}/man3/memcached_server_list_count.3.gz
%{_mandir}/man3/memcached_server_list_free.3.gz
%{_mandir}/man3/memcached_server_push.3.gz
%{_mandir}/man3/memcached_servers_parse.3.gz
%{_mandir}/man3/memcached_set.3.gz
%{_mandir}/man3/memcached_set_by_key.3.gz
%{_mandir}/man3/memcached_set_memory_allocators.3.gz
%{_mandir}/man3/memcached_set_sasl_callbacks.3.gz
%{_mandir}/man3/memcached_set_user_data.3.gz
%{_mandir}/man3/memcached_stat.3.gz
%{_mandir}/man3/memcached_stat_get_keys.3.gz
%{_mandir}/man3/memcached_stat_get_value.3.gz
%{_mandir}/man3/memcached_stat_servername.3.gz
%{_mandir}/man3/memcached_strerror.3.gz
%{_mandir}/man3/memcached_verbosity.3.gz
%{_mandir}/man3/memcached_version.3.gz

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sat Jul 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.42-1
- initial CCux package release
